Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.controller.v2.struts.context
Class StrutsPageLifecycleContext

`java.lang.Object
oracle.adf.controller.v2.context.LifecycleContext
oracle.adf.controller.v2.context.PageLifecycleContext
oracle.adf.controller.v2.struts.context.StrutsPageLifecycleContext`

public class StrutsPageLifecycleContext
extends PageLifecycleContext

Lifecycle Context customized to work with Struts PageLifecycle.

Since:
  10.1.3

Field Summary
`static java.lang.String` | `ACTION_ERRORS_KEY`
`static java.lang.String` | `ACTION_FORM_KEY`
`static java.lang.String` | `ACTION_FORWARD_KEY`
`static java.lang.String` | `ACTION_KEY`
`static java.lang.String` | `ACTION_MAPPING_KEY`
`static java.lang.String` | `ACTION_REQUEST_KEY`
`static java.lang.String` | `ACTION_RESPONSE_KEY`
`static java.lang.String` | `SUCCESS_FORWARD` Name of the special forward used to combine a DataAction with a web page.

Fields inherited from class oracle.adf.controller.v2.context.PageLifecycleContext
`ACTION_BINDING_KEY, ALLOW_MODEL_UPDATE_KEY, CONTROL_ACTION_BINDINGS_KEY, EVENT_METHOD_PREFIX, EVENT_PREFIX, EVENT_PREFIX_KEY, EVENTS_KEY, FORWARD_PATH_BINDINGS_KEY, REDIRECT_BINDINGS_KEY, UPDATED_VALUES_KEY, VALIDATE_ERROR_KEY`

Fields inherited from class oracle.adf.controller.v2.context.LifecycleContext
`envMap, PAGE_LIFECYCLE_KEY`

Constructor Summary
`StrutsPageLifecycleContext(java.util.Map envMap)`

Method Summary
`org.apache.struts.action.Action` | `getAction()` Retrieve the Action class.
`org.apache.struts.action.ActionErrors` | `getActionErrors()` Retrieve the ActionErrors from the context.
`org.apache.struts.action.ActionForm` | `getActionForm()` Retrieve the ActionForm from the context.
`org.apache.struts.action.ActionForward` | `getActionForward()` Retrieve the ActionForward from the context.
`DataActionMapping` | `getActionMapping()` Retrieve the DataActionMapping from the context.
`Environment` | `getEnvironment()` Retrieve the anonymous environment.
`java.util.Map` | `getParameterMap()` Retrieve a map of the parameters for the current request.
`void` | `setActionErrors(org.apache.struts.action.ActionErrors errors)` Store the ActionErrors in the context
`void` | `setActionForward(org.apache.struts.action.ActionForward forward)` Store the ActionForward in the context.
`void` | `setActionForward(java.lang.String forwardName)` Store the ActionForward in the context using the name of forward.

Methods inherited from class oracle.adf.controller.v2.context.PageLifecycleContext
`addControlActionBinding, addEvent, getControlActionBindings, getEventActionBinding, getEventPrefix, getEvents, getForwardPath, getInputValidationErrors, getRedirect, getUpdatedValues, setEventActionBinding, setEventPrefix, setForwardPath, setInputValidationErrors, setRedirect, setUpdatedValues`

Methods inherited from class oracle.adf.controller.v2.context.LifecycleContext
`getBindingContainer, getBindingContext, getInstance, getInstance, getPageController, getPageLifecycle, getPagePhaseListener, getPath, getPrepareRender, initControllerClass, prepareRender, setPageController, setPageLifecycle, setPagePhaseListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUCCESS_FORWARD

    public static final java.lang.String SUCCESS_FORWARD

  Name of the special forward used to combine a DataAction with a web page.
  See Also:
    Constant Field Values

### ACTION_REQUEST_KEY

    public static final java.lang.String ACTION_REQUEST_KEY

  See Also:
    Constant Field Values

### ACTION_RESPONSE_KEY

    public static final java.lang.String ACTION_RESPONSE_KEY

  See Also:
    Constant Field Values

### ACTION_MAPPING_KEY

    public static final java.lang.String ACTION_MAPPING_KEY

  See Also:
    Constant Field Values

### ACTION_FORM_KEY

    public static final java.lang.String ACTION_FORM_KEY

  See Also:
    Constant Field Values

### ACTION_ERRORS_KEY

    public static final java.lang.String ACTION_ERRORS_KEY

  See Also:
    Constant Field Values

### ACTION_FORWARD_KEY

    public static final java.lang.String ACTION_FORWARD_KEY

  See Also:
    Constant Field Values

### ACTION_KEY

    public static final java.lang.String ACTION_KEY

  See Also:
    Constant Field Values

Constructor Detail

### StrutsPageLifecycleContext

    public StrutsPageLifecycleContext(java.util.Map envMap)

Method Detail

### getEnvironment

    public Environment getEnvironment()

  Description copied from class: `LifecycleContext`
  Retrieve the anonymous environment. Simply delegate to the ADFContext routine.
  Overrides:
    `getEnvironment` in class `LifecycleContext`
  See Also:
    `ADFContext.getEnvironment()`

### getParameterMap

    public java.util.Map getParameterMap()

  Retrieve a map of the parameters for the current request.
  Overrides:
    `getParameterMap` in class `PageLifecycleContext`
  Returns:
    the map

### getActionMapping

    public DataActionMapping getActionMapping()

  Retrieve the DataActionMapping from the context.
  Returns:
    the DataActionMapping

### getActionForm

    public org.apache.struts.action.ActionForm getActionForm()

  Retrieve the ActionForm from the context.

### setActionForward

    public void setActionForward(org.apache.struts.action.ActionForward forward)

  Store the ActionForward in the context. This is the ActionForward that will be returned by the DataAction execute method.

### setActionForward

    public void setActionForward(java.lang.String forwardName)

  Store the ActionForward in the context using the name of forward. The ActionForward will be retrieve using `findForward(forwardName)`

  This is the ActionForward that will be returned by the DataAction execute method. Utility method to set the action forward by name.

### getActionForward

    public org.apache.struts.action.ActionForward getActionForward()

  Retrieve the ActionForward from the context.

### setActionErrors

    public void setActionErrors(org.apache.struts.action.ActionErrors errors)

  Store the ActionErrors in the context

### getActionErrors

    public org.apache.struts.action.ActionErrors getActionErrors()

  Retrieve the ActionErrors from the context.

### getAction

    public org.apache.struts.action.Action getAction()

  Retrieve the Action class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.